Bug 1432296 - Container Provider - Capacity & Utilization: The page you were looking for doesn't exist
Summary: Container Provider - Capacity & Utilization: The page you were looking for do...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: zakiva
QA Contact: Einat Pacifici
URL:
Whiteboard: container:ui
Depends On:
Blocks: 1436233
TreeView+ depends on / blocked
 
Reported: 2017-03-15 02:42 UTC by Mauricio Magnani
Modified: 2018-06-05 11:20 UTC (History)
10 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436233 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:42:20 UTC
Category: Bug
Cloudforms Team: Container Management
Target Upstream Version:
epacific: automate_bug-


Attachments (Terms of Use)
Error Page (28.16 KB, image/png)
2017-03-15 02:42 UTC, Mauricio Magnani
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Mauricio Magnani 2017-03-15 02:42:54 UTC
Created attachment 1263168 [details]
Error Page

Description of problem:

When you try to view Capacity & Utilization in the side menu the user is directed to a nonexistent page. The following message is displayed:

"The page you were looking for doesn't exist.
You may have mistyped the address or the page may have moved."

Wrong link: https://cfme42.example.com/ems_container/show/1?display=performance

Correct Link: https://cfme42.example.com/ems_container/1?display=performance


Version-Release number of selected component (if applicable):

CFME 4.1 (5.6) and CFME 4.2 (5.7)

How reproducible:

Compute > Containers > Providers > Select a provider, such as OpenShift.
In the Side Menu click on "Capacity & Utilization".


Actual results:

"The page you were looking for doesn't exist.
You may have mistyped the address or the page may have moved."

Expected results:

Graph with the information collected.

Additional info:

Versions used: openshift v3.4.1.7 and cfme-rhos-5.6.4.2-1.x86_64.qcow2 (CFME 4.1) and cfme-rhos-5.7.1.3-1.x86_64.qcow2 ( CFME 4.2)

Comment 2 Chris Kacerguis 2017-03-15 16:26:12 UTC
This does not appear to be the service ui, sending to ops ui team.

Comment 3 Federico Simoncelli 2017-03-16 08:37:07 UTC
Einat is this a duplicate of bug 1429187?

Comment 4 Einat Pacifici 2017-03-16 08:51:55 UTC
No. This seems more generic. Also, https://bugzilla.redhat.com/show_bug.cgi?id=1429187 occurs in 5.8.0.3 and this BZ refers to 5.6. and 5.7.

Comment 5 Federico Simoncelli 2017-03-16 09:36:30 UTC
(In reply to Einat Pacifici from comment #4)
> No. This seems more generic. Also,
> https://bugzilla.redhat.com/show_bug.cgi?id=1429187 occurs in 5.8.0.3 and
> this BZ refers to 5.6. and 5.7.

Einat are you sure it's not happening for you on cfme-rhos-5.7.1.3-1?? Can you double-check?
The issue that is causing bug 1429187 may have been backported already (waiting the feedback on that BZ as well ATM).

Comment 6 Einat Pacifici 2017-03-20 10:49:50 UTC
Federico, 

I tested with 5.7.1.3 and this does not occur in the appliance I tested. 
The URL I got is: 
https://10.8.197.115/ems_container/1?display=performance

Comment 7 Federico Simoncelli 2017-03-20 10:59:32 UTC
Mauricio, I assume this is happening only from the side menu (navbar) and not when you click on the main button, right?
If so, we have to fix this but it's not urgent (you can reach the page from the main C&U button).

Comment 8 Mauricio Magnani 2017-03-20 15:54:44 UTC
@Federico exactly! You can reach the page from the main C&U button.

Comment 11 Einat Pacifici 2017-04-20 08:44:28 UTC
Verified. Clicking on left menu: Properties --> C & U brings up the provider C&U page.

Comment 13 errata-xmlrpc 2017-05-31 14:42:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.